Bug 242135 - textproc/xerces-c3: fix build on powerpc* with clang
Summary: textproc/xerces-c3: fix build on powerpc* with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-21 10:41 UTC by Piotr Kubaj
Modified: 2019-12-08 17:48 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
patch (562 bytes, patch)
2019-11-21 10:41 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (sunpoet)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-11-21 10:41:31 UTC
Created attachment 209315 [details]
patch

When building with clang:
pkg-static: Unable to access file /wrkdirs/usr/ports/textproc/xerces-c3/work/stage/usr/local/include/xercesc/util/MutexManagers/PosixMutexMgr.hpp:No such file or directory

When clang is used, switch to StdMutexMgr.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-11-28 09:56:42 UTC
Approved as mentor (builds on ppcports) pending maintainer review.
Comment 2 commit-hook freebsd_committer 2019-12-08 17:32:58 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Dec  8 17:32:21 UTC 2019
New revision: 519564
URL: https://svnweb.freebsd.org/changeset/ports/519564

Log:
  Fix build on powerpc with clang

  PR:		242135
  Submitted by:	pkubaj

Changes:
  head/textproc/xerces-c3/Makefile
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-12-08 17:48:33 UTC
Committed. Thanks!